opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
cv::OneWayDescriptorObject Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::OneWayDescriptorObject:

## Public Member Functions
vector< cv::KeyPoint > | _GetLabeledFeatures () const
void | Allocate (int train_feature_count, int object_feature_count)
int | GetDescriptorPart (int desc_idx) const
vector< cv::KeyPoint > & | GetLabeledFeatures ()
const vector< cv::KeyPoint > & | GetLabeledFeatures () const
int | GetObjectFeatureCount () const
void | InitializeObjectDescriptors (IplImage *train_image, const vector< cv::KeyPoint > &features, const char *feature_label, int desc_start_idx=0, float scale=1.0f, int is_background=0)
int | IsDescriptorObject (int desc_idx) const
int | MatchPointToPart (CvPoint pt) const
| OneWayDescriptorObject (CvSize patch_size, int pose_count, const char *train_path, const char *pca_config, const char *pca_hr_config=0, const char *pca_desc_config=0, int pyr_levels=1)
| OneWayDescriptorObject (CvSize patch_size, int pose_count, const string &pca_filename, const string &train_path=string(), const string &images_list=string(), float _scale_min=0.7f, float _scale_max=1.5f, float _scale_step=1.2f, int pyr_levels=1)
void | SetLabeledFeatures (const vector< cv::KeyPoint > &features)
virtual | ~OneWayDescriptorObject ()
Public Member Functions inherited from cv::OneWayDescriptorBase
void | Allocate (int train_feature_count)
void | AllocatePCADescriptors ()
void | clear ()
void | ConvertDescriptorsArrayToTree ()
void | CreateDescriptorsFromImage (IplImage *src, const std::vector< cv::KeyPoint > &features)
void | CreatePCADescriptors ()
void | FindDescriptor (IplImage *patch, int &desc_idx, int &pose_idx, float &distance, float *_scale=0, float *scale_ranges=0) const
void | FindDescriptor (IplImage *patch, int n, std::vector< int > &desc_idxs, std::vector< int > &pose_idxs, std::vector< float > &distances, std::vector< float > &_scales, float *scale_ranges=0) const
void | FindDescriptor (IplImage *src, cv::Point2f pt, int &desc_idx, int &pose_idx, float &distance) const
void | GeneratePCA (const char *img_path, const char *images_list, int pose_count=500)
const OneWayDescriptor * | GetDescriptor (int desc_idx) const
int | GetDescriptorCount () const
int | GetLowPCA (CvMat **avg, CvMat **eigenvectors)
CvSize | GetPatchSize () const
int | GetPCADimHigh () const
int | GetPCADimLow () const
int | GetPoseCount () const
int | GetPyrLevels () const
void | InitializeDescriptor (int desc_idx, IplImage *train_image, const char *feature_label)
void | InitializeDescriptor (int desc_idx, IplImage *train_image, const cv::KeyPoint &keypoint, const char *feature_label)
void | InitializeDescriptors (IplImage *train_image, const vector< cv::KeyPoint > &features, const char *feature_label="", int desc_start_idx=0)
void | InitializePoses ()
void | InitializePoseTransforms ()
void | InitializeTransformsFromPoses ()
int | LoadPCADescriptors (const char *filename)
int | LoadPCADescriptors (const FileNode &fn)
| OneWayDescriptorBase (CvSize patch_size, int pose_count, const char *train_path=0, const char *pca_config=0, const char *pca_hr_config=0, const char *pca_desc_config=0, int pyr_levels=1, int pca_dim_high=100, int pca_dim_low=100)
| OneWayDescriptorBase (CvSize patch_size, int pose_count, const string &pca_filename, const string &train_path=string(), const string &images_list=string(), float _scale_min=0.7f, float _scale_max=1.5f, float _scale_step=1.2f, int pyr_levels=1, int pca_dim_high=100, int pca_dim_low=100)
void | Read (const FileNode &fn)
void | SavePCADescriptors (const char *filename)
void | SavePCADescriptors (CvFileStorage *fs) const
void | SetPCAHigh (CvMat *avg, CvMat *eigenvectors)
void | SetPCALow (CvMat *avg, CvMat *eigenvectors)
void | Write (FileStorage &fs) const
virtual | ~OneWayDescriptorBase ()

## Protected Attributes
int | m_object_feature_count
int * | m_part_id
vector< cv::KeyPoint > | m_train_features
Protected Attributes inherited from cv::OneWayDescriptorBase
OneWayDescriptor * | m_descriptors
CvSize | m_patch_size
CvMat * | m_pca_avg
OneWayDescriptor * | m_pca_descriptors
CvMat * | m_pca_descriptors_matrix
cv::flann::Index * | m_pca_descriptors_tree
int | m_pca_dim_high
int | m_pca_dim_low
CvMat * | m_pca_eigenvectors
CvMat * | m_pca_hr_avg
CvMat * | m_pca_hr_eigenvectors
int | m_pose_count
CvAffinePose * | m_poses
int | m_pyr_levels
int | m_train_feature_count
CvMat ** | m_transforms
float | scale_max
float | scale_min
float | scale_step

## Additional Inherited Members
Static Public Member Functions inherited from cv::OneWayDescriptorBase
static string | GetPCAFilename ()
Protected Member Functions inherited from cv::OneWayDescriptorBase
void | LoadPCAall (const FileNode &fn)
void | SavePCAall (FileStorage &fs) const

## Constructor & Destructor Documentation

cv::OneWayDescriptorObject::OneWayDescriptorObject | ( | CvSize | patch_size,
|  | int | pose_count,
|  | const char * | train_path,
|  | const char * | pca_config,
|  | const char * | pca_hr_config = `0`,
|  | const char * | pca_desc_config = `0`,
|  | int | pyr_levels = `1`
| ) |  |

cv::OneWayDescriptorObject::OneWayDescriptorObject | ( | CvSize | patch_size,
|  | int | pose_count,
|  | const string & | pca_filename,
|  | const string & | train_path = `string()`,
|  | const string & | images_list = `string()`,
|  | float | _scale_min = `0.7f`,
|  | float | _scale_max = `1.5f`,
|  | float | _scale_step = `1.2f`,
|  | int | pyr_levels = `1`
| ) |  |

virtual cv::OneWayDescriptorObject::~OneWayDescriptorObject | ( |  | ) |
| virtual

## Member Function Documentation

vector<cv::KeyPoint> cv::OneWayDescriptorObject::_GetLabeledFeatures | ( |  | ) | const

void cv::OneWayDescriptorObject::Allocate | ( | int | train_feature_count,
|  | int | object_feature_count
| ) |  |

int cv::OneWayDescriptorObject::GetDescriptorPart | ( | int | desc_idx | ) | const

vector<cv::KeyPoint>& cv::OneWayDescriptorObject::GetLabeledFeatures | ( |  | ) |
| inline

const vector<cv::KeyPoint>& cv::OneWayDescriptorObject::GetLabeledFeatures | ( |  | ) | const
| inline

int cv::OneWayDescriptorObject::GetObjectFeatureCount | ( |  | ) | const
| inline

void cv::OneWayDescriptorObject::InitializeObjectDescriptors | ( | IplImage * | train_image,
|  | const vector< cv::KeyPoint > & | features,
|  | const char * | feature_label,
|  | int | desc_start_idx = `0`,
|  | float | scale = `1.0f`,
|  | int | is_background = `0`
| ) |  |

int cv::OneWayDescriptorObject::IsDescriptorObject | ( | int | desc_idx | ) | const

int cv::OneWayDescriptorObject::MatchPointToPart | ( | CvPoint | pt | ) | const

void cv::OneWayDescriptorObject::SetLabeledFeatures | ( | const vector< cv::KeyPoint > & | features | ) |
| inline

## Member Data Documentation

int cv::OneWayDescriptorObject::m_object_feature_count
| protected

int* cv::OneWayDescriptorObject::m_part_id
| protected

vector<cv::KeyPoint> cv::OneWayDescriptorObject::m_train_features
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp